<template>
  <Dialog
    v-model="dialogVisible"
    diaTitle="报工条目"
    width="80%"
    height="80%"
    @close="closeFun"
    show-footer
  >
    <BaseTable ref="tableRef" showIndex tableName="CREATE_WORK_TIME"></BaseTable>
    <template #footer>
      <div>
        <el-button @click="closeFun">取消</el-button>
        <el-button type="primary" @click="closeFun">确定</el-button>
      </div>
    </template>
  </Dialog>
</template>
<script lang="ts" setup>
import Dialog from '@/components/common/dialog/index.vue';
// import { ElMessage } from 'element-plus';
import { computed } from 'vue';
import BaseTable from '@/components/common/table/baseTable.vue';

const props = defineProps<{
  showDialog: boolean;
}>();

const dialogVisible = computed({
  get() {
    return props.showDialog;
  },
  set(val) {
    emits('update:showDialog', val);
  },
});
const emits = defineEmits(['update:showDialog']);

const closeFun = () => {
  emits('update:showDialog', false);
};

// const nextPageFun = () => {
//   if (hasSameValue()) return;
//   emits('update:currentProjectBaseInfo', { ...tableFormRef.value.getFormDataFun(), nodeType: NODE_TYPE.PROJECT });
//   emits('nextPageFun', 'basePage');
// };
</script>
<style lang="scss" scoped>
.table-box {
  height: 60vh;
}
</style>
